Bug 1260208 - Review Request: jandex-maven-plugin - Jandex wrapper for Maven
Review Request: jandex-maven-plugin - Jandex wrapper for Maven
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1181081 1343045
  Show dependency treegraph
 
Reported: 2015-09-04 14:15 EDT by gil cattaneo
Modified: 2016-08-29 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-29 08:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-09-04 14:15:05 EDT
Spec URL: https://gil.fedorapeople.org/jandex-maven-plugin.spec
SRPM URL: https://gil.fedorapeople.org/jandex-maven-plugin-1.0.3-1.fc22.src.rpm
Description: This is a Maven plugin used to generate Jandex index files.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10958578
Comment 2 gil cattaneo 2016-06-07 16:38:32 EDT
@Roman have you time for ending this review?
Comment 3 Michael Simacek 2016-06-09 06:05:47 EDT
There has been no response from Roman for a long time, so I think I can take the review instead. gil, the srpm is 404, can you reupload it?
Comment 4 gil cattaneo 2016-06-09 06:26:11 EDT
(In reply to Michael Simacek from comment #3)
> There has been no response from Roman for a long time, so I think I can take
> the review instead. gil, the srpm is 404, can you reupload it?

now should be available ... hope ...
Comment 6 Michael Simacek 2016-06-09 06:51:23 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues
------
- The license is GPLv3 or later, so the License field should be GPLv3+


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 2 files have
     unknown license. Detailed output of licensecheck in
     /home/msimacek/reviews/1260208-jandex-maven-plugin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jandex-
     maven-plugin-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jandex-maven-plugin-1.0.4-1.fc25.noarch.rpm
          jandex-maven-plugin-javadoc-1.0.4-1.fc25.noarch.rpm
          jandex-maven-plugin-1.0.4-1.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
jandex-maven-plugin-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

jandex-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.jboss:jandex)



Provides
--------
jandex-maven-plugin-javadoc:
    jandex-maven-plugin-javadoc

jandex-maven-plugin:
    jandex-maven-plugin
    mvn(org.jboss.jandex:jandex-maven-plugin)
    mvn(org.jboss.jandex:jandex-maven-plugin:pom:)



Source checksums
----------------
https://github.com/wildfly/jandex-maven-plugin/archive/jandex-maven-plugin-1.0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 2f137ad393d95bc3cafc740534a465f6e01d6428468d38569b6a2cfb9784f419
  CHECKSUM(SHA256) upstream package : 2f137ad393d95bc3cafc740534a465f6e01d6428468d38569b6a2cfb9784f419


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1260208
Buildroot used: rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP


Looks OK, except the missing plus in license field. Please fix it before the import. APPROVED.
Comment 7 gil cattaneo 2016-06-09 07:04:42 EDT
(In reply to Michael Simacek from comment #6)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues
> ------
> - The license is GPLv3 or later, so the License field should be GPLv3+
> 
Done

Spec URL: https://gil.fedorapeople.org/jandex-maven-plugin.spec
SRPM URL: https://gil.fedorapeople.org/jandex-maven-plugin-1.0.4-1.fc23.src.rpm

> Looks OK, except the missing plus in license field. Please fix it before the
> import. APPROVED.

thanks for the review
create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/5898
https://admin.fedoraproject.org/pkgdb/package/requests/5899
Comment 8 Gwyn Ciesla 2016-06-09 09:22:58 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/jandex-maven-plugin
Comment 9 Fedora Update System 2016-06-19 07:21:36 EDT
jandex-maven-plugin-1.0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bb050b95e
Comment 10 Fedora Update System 2016-06-20 16:54:45 EDT
jandex-maven-plugin-1.0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bb050b95e
Comment 11 Fedora Update System 2016-06-29 08:57:02 EDT
jandex-maven-plugin-1.0.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.